# Interface ErrorHandlingConfig

Error configuration object. May only contain the options that need to be updated.

interface ErrorHandlingConfig {
objectMaxDepth: number;
urlErrorParamsEnabled: boolean;
}

- Defined in shared/utils.js:1079

#####
Index

### Properties

objectMaxDepth
urlErrorParamsEnabled

##
Properties

### objectMaxDepth

objectMaxDepth: number

The max depth for stringifying objects. Setting to a non-positive or non-numeric value removes the max depth limit. Default: 5.

- Defined in shared/utils.js:1081

### urlErrorParamsEnabled

urlErrorParamsEnabled: boolean

Specifies whether the generated error URL will contain the parameters of the thrown error. Default: true. When used without argument, it returns the current value.

- Defined in shared/utils.js:1083